Skip to content

updateCrmOpportunity_1

Request

Path
idinteger, (int32)required
Bodyapplication/jsonrequired
idinteger, (int32)

Identifier of the object to modify or delete

Default:""
accountIdinteger, (int32)required

Account identifier

Default:""
Example:1
namestring, [ 0 .. 255 ] charactersrequired

Opportunity name

Default:""
Example:"Enterprise License Deal"
descriptionstring

Detailed description of the opportunity

Default:""
amountnumber, >= 0required

Total monetary amount of the opportunity

Default:""
Example:50000
currencyIdinteger, (int32)

Currency identifier

Default:""
Example:1
stageIdinteger, (int32)required

Pipeline stage identifier

Default:""
Example:1
probabilityinteger, (int32), [ 0 .. 100 ]

Win probability percentage (0-100)

Default:""
Example:60
expectedCloseDatestring, (date)required

Expected closing date

Default:""
Example:"2026-06-30"
usersCompany1integer, (int32)

Primary assigned user identifier

Default:""
Example:1
usersCompany2integer, (int32)

Secondary assigned user identifier

Default:""
Example:2
usersCompany3integer, (int32)

Tertiary assigned user identifier

Default:""
Example:3
primaryContactPersonIdinteger, (int32)

Primary contact person identifier

Default:""
Example:3
sourcestring, [ 0 .. 80 ] characters

Lead source or origin

Default:""
Example:"Referral"
notesstring

Additional notes about the opportunity

Default:""
tagsArray of strings

Tags associated with the opportunity

Default:""
quoteIdsArray of integers, (int32)

List of quote identifiers linked to this opportunity

Default:""
PUT
/api/v1/crm/opportunity/{id}
curl -i -X PUT \
  'https://api.prana.software/api/v1/crm/opportunity/{id}' \
  -H 'Content-Type: application/json'

Responses

OK

Bodyapplication/json
idinteger, (int32)required

Unique identifier of the object

Default:""
codestring

Opportunity code

Default:""
Example:"OPP-0001"
namestring

Opportunity name

Default:""
Example:"Enterprise License Deal"
descriptionstring

Detailed description of the opportunity

Default:""
amountnumber

Total monetary amount of the opportunity

Default:""
Example:50000
currencyobject(ApiCurrencyListReadDto)

Currency of the opportunity

Default:""
probabilityinteger, (int32)

Win probability percentage (0-100)

Default:""
Example:60
expectedCloseDatestring, (date)

Expected closing date

Default:""
Example:"2026-06-30"
actualCloseDatestring, (date)

Actual closing date when won or lost

Default:""
Example:"2026-06-28"
sourcestring

Lead source or origin

Default:""
Example:"Referral"
lostReasonstring

Reason for losing the opportunity

Default:""
Example:"Price too high"
notesstring

Additional notes about the opportunity

Default:""
tagsArray of strings

Tags associated with the opportunity

Default:""
lastActivityAtstring, (date-time)

Date and time of the last activity

Default:""
Example:"2026-05-01T10:30:00Z"
accountobject(ApiCrmAccountListReadDto)

Account associated with this opportunity

Default:""
stageobject(ApiCrmStageListReadDto)

Current pipeline stage

Default:""
usersCompany1object(ApiUsersCompanyListReadDto)

Primary assigned user

Default:""
usersCompany2object(ApiUsersCompanyListReadDto)

Secondary assigned user

Default:""
usersCompany3object(ApiUsersCompanyListReadDto)

Tertiary assigned user

Default:""
primaryContactPersonobject(ApiCrmContactPersonListReadDto)

Primary contact person for this opportunity

Default:""
quotesArray of objects(ApiCrmOpportunityQuoteListReadDto)

Quotes linked to this opportunity

Default:""
createdOnstring, (date-time)

Creation timestamp

Default:""
Example:"2026-01-15T09:00:00Z"
modifiedOnstring, (date-time)

Last update timestamp

Default:""
Example:"2026-05-01T10:30:00Z"
Response
// No response example